## kwindowsystem 5.116.0+p24.04+vstable+git20251019.0236

=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vstable+git20251019.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:36:42 +0000
