=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vstable+git20251028.2233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:33:15 +0000
