## kwindowsystem 5.116.0+p24.04+vstable+git20251224.0612

=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vstable+git20251224.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:12:36 +0000
