## kwindowsystem 5.116.0+p24.04+vunstable+git20251015.0909

=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vunstable+git20251015.0909-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:09:35 +0000
