## kwindowsystem 5.116.0+p24.04+vunstable+git20251224.0641

=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vunstable+git20251224.0641-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:41:16 +0000
